#ifndef globalsH
#define globalsH
#include <stdarg.h>

#define LOGDEBUG 1  // log messages to file?
#define SHOWDEBUG 1 // print debug messages on the screen?

#define UNKNOWN 0
#define ON      1
#define OFF     2

#define INIFILE ".\\spider.ini"

int dbg(char * format,...); // debug messages
int err(char * format,...); // error messages

// prints mime in human readable format
char * PrintMime(int mime);

// s2 has to be null terminated LOWER case with NO blanks
// returns past the end of s2 in s1
char *issub(char * s1, char * s2); // make it global - used in url.cpp too
int spacer(char c); // returns true if c is '"',''',' ','\n','\r' or '\t'
#define tagbound(c) ((!c)||(c=='<')||(c=='>'))  // macro is faster

#endif
