#ifndef dbH
#define dbH

#include <sql.h>
#include "globals.h"
#define SMBUFFSIZE  40

class DBData{
public:
        int next_col;
        SQLHANDLE rows;
        DBData(SQLHANDLE con);
        ~DBData();
        int bind(int type, void * var, int size);
        int fetch();
};

class DBase{
        static int connected; // connection counter (++ on connect,-- on disconect)
        static SQLHANDLE env; // one per program
        static SQLHANDLE con;
        char dsn[SMBUFFSIZE];
        char dsnUser[SMBUFFSIZE];
        char dsnPass[SMBUFFSIZE];
public:
        DBase();
        ~DBase();
        DBData * query(char * sql); // creates DBData - user deletes DBData
        int disconnect();
        int connect();
    int AddDsn(); // uses ini files to fetch all settings
};

#endif
